---------------------
PatchSet 4673 
Date: 2007/05/30 11:48:25
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Cleanup configure tests so Split-Stack works.

Members: 
	NOTES-IPv6:1.1.2.26->1.1.2.27 
	configure.in:1.63.2.19->1.63.2.20 

Index: squid3/NOTES-IPv6
===================================================================
RCS file: /cvsroot/squid-sf//squid3/Attic/NOTES-IPv6,v
retrieving revision 1.1.2.26
retrieving revision 1.1.2.27
diff -u -r1.1.2.26 -r1.1.2.27
--- squid3/NOTES-IPv6	29 May 2007 09:00:47 -0000	1.1.2.26
+++ squid3/NOTES-IPv6	30 May 2007 11:48:25 -0000	1.1.2.27
@@ -1,4 +1,4 @@
-$Id: NOTES-IPv6,v 1.1.2.26 2007/05/29 09:00:47 amosjeffries Exp $
+$Id: NOTES-IPv6,v 1.1.2.27 2007/05/30 11:48:25 amosjeffries Exp $
 
 KNOWN BUGS:
 
@@ -8,9 +8,7 @@
           Solved for all known events now, but this may reccur at any time
           until conversion is completed.
 
-PROBLEM:  USE_IPV6_SPLITSTACK defined on dual-stack systems.
-
-SIDE_EFFECT: (also a bug)
+PROBLEM: (side effect of solved SPLIT-STACK configure bug, needs re-testing.)
 2007/05/29 01:25:13.965| fwdConnectStart: got addr [::], tos 0
 2007/05/29 01:25:13.965| comm_open: setsockopt(IPV6_V6ONLY) on FD 13: (92) Protocol not available
 2007/05/29 01:25:13.965| comm_open: FD 13 is a new socket
Index: squid3/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid3/configure.in,v
retrieving revision 1.63.2.19
retrieving revision 1.63.2.20
diff -u -r1.63.2.19 -r1.63.2.20
--- squid3/configure.in	27 May 2007 13:18:07 -0000	1.63.2.19
+++ squid3/configure.in	30 May 2007 11:48:25 -0000	1.63.2.20
@@ -1,7 +1,7 @@
 
 dnl  Configuration input file for Squid
 dnl
-dnl  $Id: configure.in,v 1.63.2.19 2007/05/27 13:18:07 amosjeffries Exp $
+dnl  $Id: configure.in,v 1.63.2.20 2007/05/30 11:48:25 amosjeffries Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AC_CONFIG_SRCDIR([src/main.cc])
 AM_INIT_AUTOMAKE([tar-ustar])
-AC_REVISION($Revision: 1.63.2.19 $)dnl
+AC_REVISION($Revision: 1.63.2.20 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -1793,59 +1793,42 @@
 dnl Enable IPv6 support
 AC_MSG_CHECKING([whether to enable IPv6])
 
+AC_ARG_WITH(ipv6-split-stack,
+  [  --with-ipv6-split-stack	Require ipv6 split-stack support],
+  AC_DEFINE(USE_IPV6_SPLITSTACK, 1, [Enable support for Split-Stack IPv6 Implementations]) ,
+  AC_DEFINE(USE_IPV6_SPLITSTACK, 0, [No support for split-stack IPv6 Implementations])
+)
+
 AC_ARG_ENABLE(ipv6,
 [  --enable-ipv6		Enable ipv6 support
    --disable-ipv6		Disable ipv6 support
-   --with-ipv6-split-stack	Require ipv6 split-stack support],
-[ ENABLE_IPv6=$enableval
-  if test "$enableval" = "yes" ; then
-    ENABLE_IPv6_SS=$withval
-  fi
-])
-
-if test "$ENABLE_IPv6" = "yes"; then
-   AC_MSG_RESULT(yes)
-   AC_CACHE_CHECK(if PF_INET6 is available, ac_cv_const_AF_INET6,
-   AC_TRY_RUN([ /* PF_INET6 available check */
-#include <sys/types.h>
-#include <sys/socket.h>
-main()
-{
- if (socket(PF_INET6, SOCK_STREAM, 0) < 0)
-   exit(1);
- else
-   exit(0);
-}
-], ac_cv_const_AF_INET6="yes",ac_cv_const_AF_INET6="no")
-)
-if test $ac_cv_const_AF_INET6 = "yes"; then
-  AC_DEFINE(USE_IPV6,1,[Enable support for IPv6 ])
-  if test "$ENABLE_IPv6_SS" = "yes"; then
-      AC_DEFINE(USE_IPV6_SPLITSTACK, 1, [Enable support for Split-Stack IPv6 Implementations])
-  else
-    case "$host_os" in
-    mingw|mingw32)
-      dnl Windows Still has a Split-Stack for IPv6 At Best.
-      AC_DEFINE(USE_IPV6_SPLITSTACK, 1, [Enable support for Windows Split-Stack IPv6 Implementation])
-      ;;
-    *)
-      AC_DEFINE(USE_IPV6_SPLITSTACK, 0, [Disable support for Split-Stack IPv6 Implementations])
-      ;;
-    esac
-  fi
-else
-  echo
-  echo "Hmm... Your system seems not to support IPv6 ... disable IPv6 support ! "
-  echo
-  exit 1
-fi
-
-else 
-  AC_MSG_RESULT(no)
+],
+[ AC_MSG_RESULT(yes)
+  AC_CACHE_CHECK([if PF_INET6 is available], $enableval,
+    AC_TRY_RUN(
+      [ /* PF_INET6 available check */
+#       include <sys/types.h>
+#       include <sys/socket.h>
+        void main() {
+          if (socket(PF_INET6, SOCK_STREAM, 0) < 0)
+            exit(1);
+          else
+            exit(0);
+        }
+      ],
+      [ AC_DEFINE(USE_IPV6,1,[Enable support for IPv6 ])
+        AC_MSG_RESULT(yes)
+      ],
+      [ AC_DEFINE(USE_IPV6_SPLITSTACK,0,[Disable support for Split-Stack IPv6 Implementations])
+        AC_DEFINE(USE_IPV6,0,[Disable support for IPv6])
+        AC_MSG_RESULT(no)
+      ])
+   )
+],
+[ AC_DEFINE(USE_IPV6_SPLITSTACK,0,[Disable support for Split-Stack IPv6 Implementations])
   AC_DEFINE(USE_IPV6,0,[Disable support for IPv6])
-  AC_DEFINE(USE_IPV6_SPLITSTACK, 0, [Disable support for Split-Stack IPv6 Implementations])
-fi
-
+  AC_MSG_RESULT(no)
+])
 
 AC_ARG_WITH(filedescriptors,
 [  --with-filedescriptors=NUMBER Force squid to support NUMBER filedescriptors],
